package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(name = "TIPO_OPERACION_CC")
public class TipoOperacionCC implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@Id
	@Column(name = "TIPOOPERACIONCC_ID")
	private Integer tipoOperacionCCId;
	
	@Column(name = "DESCTIPO")
	private String descTipo;

	@Column(name = "CVETIPO")
	private String cveTipo;
	
	@Column(name = "INDCREDITO")
	private Boolean indCredito;

	@Column(name = "ACTIVO")
	private Boolean activo;

	@Temporal(TemporalType.DATE)
	@Column(name = "FECMODIF")
	private Date fecmodif;

	@Column(name = "USUARIO_ID")
	private Integer usuarioId;
	
	public TipoOperacionCC() {
		super();
	}
	
	public TipoOperacionCC(Integer tipoOperacionCCId) {
		this();
		this.tipoOperacionCCId = tipoOperacionCCId;
	}

	public Integer getTipoOperacionCCId() {
		return tipoOperacionCCId;
	}

	public void setTipoOperacionCCId(Integer tipoOperacionCCId) {
		this.tipoOperacionCCId = tipoOperacionCCId;
	}

	public String getDescTipo() {
		return descTipo;
	}

	public void setDescTipo(String descTipo) {
		this.descTipo = descTipo;
	}

	public String getCveTipo() {
		return cveTipo;
	}

	public void setCveTipo(String cveTipo) {
		this.cveTipo = cveTipo;
	}

	public Boolean getIndCredito() {
		return indCredito;
	}

	public void setIndCredito(Boolean indCredito) {
		this.indCredito = indCredito;
	}

	public Boolean getActivo() {
		return activo;
	}

	public void setActivo(Boolean activo) {
		this.activo = activo;
	}

	public Date getFecmodif() {
		return fecmodif;
	}

	public void setFecmodif(Date fecmodif) {
		this.fecmodif = fecmodif;
	}

	public Integer getUsuarioId() {
		return usuarioId;
	}

	public void setUsuarioId(Integer usuarioId) {
		this.usuarioId = usuarioId;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((tipoOperacionCCId == null) ? 0 : tipoOperacionCCId.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		TipoOperacionCC other = (TipoOperacionCC) obj;
		if (tipoOperacionCCId == null) {
			if (other.tipoOperacionCCId != null)
				return false;
		} else if (!tipoOperacionCCId.equals(other.tipoOperacionCCId))
			return false;
		return true;
	}
}
